> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Overview

> Introduction on Uniblock's Stellar HTTP API and JSON-RPC service.

# Stellar HTTP API

Provides access to all Stellar Horizon endpoints. All usage instructions on the different endpoints are available in [Stellar Docs](https://developers.stellar.org/docs/data/apis/horizon/api-reference)

## Endpoints available

* `/ledgers/:sequence`
* `/ledgers/:sequence/transactions`
* `/ledgers/:sequence/operations`
* `/ledgers/:sequence/payments`
* `/ledgers/:sequence/effects`
* `/ledgers`
* `/transactions/:transaction_hash`
* `/transactions/:transaction_hash/operations`
* `/transactions/:transaction_hash/effects`
* `/transactions`
* `/transactions`
* `/operations/:id`
* `/operations/:id/effects`
* `/operations`
* `/payments`
* `/effects`
* `/accounts`
* `/accounts/:account_id`
* `/accounts/:account_id/transactions`
* `/accounts/:account_id/operations`
* `/accounts/:account_id/payments`
* `/accounts/:account_id/effects`
* `/accounts/:account_id/offers`
* `/accounts/:account_id/trades`
* `/accounts/:account_id/data/:`
* `/offers`
* `/offers/:offer_id`
* `/offers/:offer_id/trades`
* `/trades`
* `/assets`
* `/claimable_balances`
* `/claimable_balances/:claimable_balance_id`
* `/claimable_balances/:claimable_balance_id/transactions`
* `/claimable_balances/:claimable_balance_id/operations`
* `/liquidity_pools`
* `/liquidity_pools/:liquidity_pool_id`
* `/liquidity_pools/:liquidity_pool_id/effects`
* `/liquidity_pools/:liquidity_pool_id/transactions`
* `/liquidity_pools/:liquidity_pool_id/operations`
* `/order_book`
* `/paths/strict-receive`
* `/paths/strict-send`
* `/trade_aggregations`
* `/fee_stats`

## Uniblock Query Params

* `chainId`: `stellar` or `stellar-testnet`
* `provider`: select from ones available

## Basic Request

Replace `API_KEY` with actual uniblock api key

<CodeGroup>
  ````bash curl --location theme={null}
  'https://api.uniblock.dev/uni/v1/stellar-http/fee_stats?chainId=stellar' \
  --header 'x-api-key: {{ API_KEY }}' \ --header 'Content-Type:
  application/json' ```
  </CodeGroup>

  ## Dynamic Path

  Replace `API_KEY` with actual uniblock api key

  <CodeGroup>
  ```bash curl --location
  'https://api.uniblock.dev/uni/v1/stellar-http/accounts/GDAYVCINVNUZ57EOCN4FK2VVWGQ3L3NW37L6UJLZCK3C7S7CNSS5EHHG?chainId=stellar'
  \ --header 'x-api-key: {{ API_KEY }}' \ --header 'Content-Type:
  application/json' ```
  </CodeGroup>

  ## Stellar Query Param

  Replace `API_KEY` with actual uniblock api key

  <CodeGroup>
  ```bash curl --location
  'https://api.uniblock.dev/uni/v1/stellar-http/accounts/GA5ZSEJYB37JRC5AVCIA5MOP4RHTM335X2KGX3IHOJAPP5RE34K4KZVN/payments?chainId=stellar&limit=2'
  \ --header 'x-api-key: {{ API_KEY }}' \ --header 'accept: application/json'
  ````
</CodeGroup>

# Stellar JSON-RPC

Visit [Stellar JSON-RPC Overview](/reference/jsonrpc/stellar-soroban/stellar-overview) for more details on Stellar JSON-RPC endpoints.
